ChangeSet 1.1246, 2003/06/18 16:54:42-07:00, per.winkvist@telia.com

[PATCH] Re: unusual_devs.h patch that was in 2.5.68

On Friday 02 May 2003 09:03, Greg KH wrote:
> On Thu, May 01, 2003 at 11:15:32AM +0200, Per Winkvist wrote:
> > I've modified James Courtier-Dutton description from Optio 430 => Optio
> > 2/3/400 since it applies to Optio 330 and possible 230 too.
> >
> > Attached are the patch that was tried with Pentax Optio S and Optio 330
> > RS. I've talked to Pete Zaitcev and he said I should be using CB instead
> > since more devices liked that better... so I leave that to you!
> >
> > Thanks a lot and I hope this will end up in 2.4 sooon :=)
>
> I've applied these to my 2.4 and 2.5 trees.  The 2.4 ones will have to
> wait until after 2.4.21 comes out.  The 2.5 one will go out with my next
> round of 2.5 usb patches, probably in a few days.

Hmm...

The unusual patch for Pentax Optio S (and description fix for Pentax 2/3/400)
I sent to you was against 2.4.20, not against your bk usb repository. This
caused Pentax entries to get duplicated for 2.4 and 2.5 (bk current too).
Then another Pentax Optio S patch have been applied as well...

Right now you have three 0x0004 and two 0x0006 entries ;=)


 drivers/usb/storage/unusual_devs.h |   38 +++++++------------------------------
 1 files changed, 8 insertions(+), 30 deletions(-)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Wed Jun 18 17:35:14 2003
+++ b/drivers/usb/storage/unusual_devs.h	Wed Jun 18 17:35:14 2003
@@ -330,19 +330,17 @@
  * Submitted by James Courtier-Dutton <James@superbug.demon.co.uk>
  */
 UNUSUAL_DEV( 0x0a17, 0x0004, 0x1000, 0x1000,
-                "ASAHI PENTAX",
-                "PENTAX OPTIO 430",
+                "Pentax",
+                "Optio 2/3/400",
                 US_SC_8070, US_PR_CBI, NULL,
                 US_FL_FIX_INQUIRY ),
 
-/* Pentax Optio S digital camera
- * submitted by Stefan M. Brandl <smb@smbnet.de>
- */
-UNUSUAL_DEV( 0x0a17, 0x0006, 0x0000, 0xffff,
-		"Pentax",
-		"Optio S",
-		US_SC_8070, US_PR_CB, NULL,
-		US_FL_MODE_XLATE|US_FL_FIX_INQUIRY),
+/* Submitted by Per Winkvist <per.winkvist@uk.com> */
+UNUSUAL_DEV( 0x0a17, 0x006, 0x1000, 0x9009,
+                "Pentax",
+                "Optio S",
+                US_SC_8070, US_PR_CBI, NULL,
+                US_FL_FIX_INQUIRY ),
 
 #ifdef CONFIG_USB_STORAGE_ISD200
 UNUSUAL_DEV(  0x05ab, 0x0031, 0x0100, 0x0110,
@@ -612,26 +610,6 @@
                 US_SC_ISD200, US_PR_BULK, isd200_Initialization,
                 0 ),
 #endif
-
-/* This Pentax still camera is not conformant
- * to the USB storage specification: -
- * - It does not like the INQUIRY command. So we must handle this command
- *   of the SCSI layer ourselves.
- * Tested on Rev. 10.00 (0x1000)
- * Submitted by James Courtier-Dutton <James@superbug.demon.co.uk>
- */
-UNUSUAL_DEV( 0x0a17, 0x0004, 0x1000, 0x1000,
-                "Pentax",
-                "Optio 2/3/400",
-                US_SC_8070, US_PR_CBI, NULL,
-                US_FL_FIX_INQUIRY ),
-
-/* Submitted by Per Winkvist <per.winkvist@uk.com> */
-UNUSUAL_DEV( 0x0a17, 0x006, 0x1000, 0x9009,
-                "Pentax",
-                "Optio S",
-                US_SC_8070, US_PR_CBI, NULL,
-                US_FL_FIX_INQUIRY ),
 
 /* Submitted by Brian Hall <brihall@pcisys.net>
  * Needed for START_STOP flag */
